Update file info.
curl --request PUT \
--url https://apix.us.amity.co/api/v3/files/{fileId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fileId": "<string>",
"isUsed": true,
"altText": "<string>",
"videoUrl": "<string>",
"thumbnailFileId": "<string>",
"metadata": {}
}
'import requests
url = "https://apix.us.amity.co/api/v3/files/{fileId}"
payload = {
"fileId": "<string>",
"isUsed": True,
"altText": "<string>",
"videoUrl": "<string>",
"thumbnailFileId": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
fileId: '<string>',
isUsed: true,
altText: '<string>',
videoUrl: '<string>',
thumbnailFileId: '<string>',
metadata: {}
})
};
fetch('https://apix.us.amity.co/api/v3/files/{fileId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>",
"data": [
{
"fileId": "<string>",
"accessType": "public",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"attributes": {
"name": "<string>",
"extension": "<string>",
"size": 123,
"mimeType": "<string>",
"metadata": {
"exif": {},
"gps": {},
"height": 123,
"width": 123,
"isFull": true
}
}
}
]
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 400300,
"message": "Forbidden error."
}{
"status": "error",
"code": 400400,
"message": "File not found ${fileId}."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}File
Update file info.
Update file info
PUT
/
api
/
v3
/
files
/
{fileId}
Update file info.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
File id
Maximum string length:
50Body
application/json
information of a file to be updated.
The ID of the file to be updated.
Indicates if the file is currently in use.
Alternative text for the file.
The status of the file.
Available options:
uploading, done, error, removed URL of the video if applicable.
The ID of the thumbnail file.
Metadata associated with the file. Do not provide isFull key as it is reserved for internal use and this metadata field is limited to 5kb.
⌘I